1.1

1.1

get /v1/launch-configurations

Description

List Launch Configurations.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Launch Configuration name
Example : launch-configuration-name
any of [string, null]
queryimage_id
optional
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
any of [string, null]None
queryoffset
optional
Index of where to start in the list
Example : 0
any of [integer, null]0
querylimit
optional
Page size of items
Example : 20
any of [integer, null]20
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:asc
any of [string, null]created_at:asc

Responses

HTTP CodeDescriptionSchema
200OKLaunchConfigurationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "launch_configurations": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_count": 1,
            "boot_disk_size": 104,
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "extra_disk_size": 104,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "image_name": "imagename",
            "keypair_name": "keypairname",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "launch-configuration-name",
            "public_key": "publickey",
            "server_type_id": "s1v1m2",
            "state": "ACTIVE",
            "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
            "volumes": [
                {
                    "boot_index": 0,
                    "size": 104,
                    "type": "SSD"
                }
            ]
        }
    ]
}